#ifndef __VUSERANALYSIS__
#define __VUSERANALYSIS__

#include "BabyDisplay.h"
#include "JSFSteer.h"
#include "CDCTrackMaker.h"
#include "TH1.h"
#include "TGraph.h"


class VUserAnalysis {
public:
	VUserAnalysis();
	VUserAnalysis(BabyDisplay *display, CDCFADCCalibration *calib);
	virtual ~VUserAnalysis();
	
	virtual void Initialize() = 0;
	virtual void DrawHist() = 0;
	virtual void UpdateCounterInfo() = 0;
	virtual void DeleteHist(Char_t *);
	virtual void DeleteGraph(Char_t *);
	
	virtual BabyDisplay 	   * GetDisplay() { return fDisplay; }
	virtual CDCFADCCalibration * GetCalib()   { return fCalib;   }
	
	virtual void SetDisplay(BabyDisplay *d)        { fDisplay = d; }
	virtual void SetCalib  (CDCFADCCalibration *c) { fCalib   = c; }

private:
        BabyDisplay 	   *fDisplay;	//!
        CDCFADCCalibration *fCalib;	//!
        
	ClassDef(VUserAnalysis, 1)   // A virtual class to analyze event
};

#endif

