{
//**********************************************************
//*   Event display program
//*   
//*   This is an example of display program.
//*   You MUST switch user analysis program in the end 
//*   of this program.
//*
//*   2001/11/19  K.Hoshina
//*
//**********************************************************
	
//*------------------
//* Library Roading 
//*------------------

  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) == 0 ) {
      gSystem->Load("libCDCUtils.sl");
      gSystem->Load("libCDCRawData.sl");
      gSystem->Load("libCDCClusterMaker.sl");
      gSystem->Load("libCDCHitMaker.sl");
      gSystem->Load("libCDCTrackMaker.sl");
      gSystem->Load("libBabyDisplay.sl");
    } else {
      gSystem->Load("libCDCUtils.so");
      gSystem->Load("libCDCRawData.so");
      gSystem->Load("libCDCClusterMaker.so");
      gSystem->Load("libCDCHitMaker.so");
      gSystem->Load("libCDCTrackMaker.so");
      gSystem->Load("libBabyDisplay.so");
    }
  }
  
//*--------------------
//* Define output file 
//*--------------------

  JSFSteer *jsf = new JSFSteer();

  TFile *foutp = new TFile("jsf.root","RECREATE"); //  Output file.
  TFile &fout  = *foutp;

  Int_t run = jsf->Env()->GetValue("JSFSteer.RunNo",778);  
  Char_t fname[64];
  // sprintf(fname,"../../analysis/prod/run%4.4d.root",run);
  sprintf(fname,"/proj/cdc/data/baby/2000/beam/unpacked/run%4.4d.root",run);
  // sprintf(fname,"/proj/cdc/data/baby/2000/dedx/unpacked/run%4.4d.root",run);
  // sprintf(fname,"/proj/cdc/data/baby/2001/beam/unpacked/run%4.4d.root",run);
  // sprintf(fname,"run%4.4d.root",run);
  TFile file(fname); // Input file
  jsf->SetInput(file);
  jsf->SetOutput(fout);
 
//*------------------------------------------------
//* Set modules, calibration files, cut values etc.
//*------------------------------------------------

  CDCFADCCalibration fadccalib("../../../data/fadccalib.dat");
  CDCClusterMaker *clust = new CDCClusterMaker(&fadccalib);
#if 1
  clust->UseConstPed();
#else
  clust->UseVarPed();
#endif
#if 1
  CDCCluster::SetSoftThresh(16.);
  CDCCluster::SetSplitThresh(20.);
#else
  CDCCluster::SetSoftThresh(10.);
  CDCCluster::SetSplitThresh(20.);
#endif
#if 0
  CDCCluster::SetMinNslots(20); 	// for cluster splitting
#else
  CDCCluster::SetMinNslots(100); 	// for cluster splitting
#endif
  CDCCluster::SetMaxNslots(250);	// for ph sum

  CDCTimeToXRelation xtcalib("../../../data/xtcalib.dat");
#if 1
  CDCXTDatum::SetSigmaMS(0.000);
#else
  CDCXTDatum::SetSigmaMS(0.050);
#endif

  CDCHitMaker   *hit   = new CDCHitMaker(&xtcalib);

  CDCTrackMaker *track = new CDCTrackMaker();

//*--------------------
//* JSF event rootine
//*--------------------

  jsf->Initialize();

  CDCTrackBuf *tkb = (CDCTrackBuf *)track->EventBuf();
#if 1
  tkb->SetNsigCut(5.);		// window for residals
  tkb->SetChi2Cut(35.);		// chi2 cut for tracks
  tkb->SetKCNsigCut(3.);	// window for hit point poisoing
  tkb->SetDXpivotCut(0.05);	// DX to be qualified as a pivot
  tkb->SetSlopeCut(0.15);	// cut on track slope
#else
  tkb->SetNsigCut(5.);		// window for residals
  tkb->SetChi2Cut(15.);		// chi2 cut for tracks
  tkb->SetKCNsigCut(3.);	// window for hit point poisoing
  tkb->SetDXpivotCut(0.05);	// DX to be qualified as a pivot
  tkb->SetSlopeCut(999.);	// cut on track slope
#endif

  CDCHitBuf *htb = (CDCHitBuf *)hit->EventBuf();
#if 1
  htb->SetWidthCut(12.);
  htb->SetPeakCut(30.);
  htb->SetSumCut(200.);
#else
  htb->SetWidthCut(12.);
  htb->SetPeakCut(20.);
  htb->SetSumCut(200.);
#endif

  CDCRawData *raw=(CDCRawData*)jsf->FindModule("CDCRawData");

  jsf->BeginRun(run);   // Set run number

  BabyDisplay  *display = new BabyDisplay();
  
//*******************************************
//*----------!!! ATTENTION !!!-------------
//* Create new useranalysis object as your
//* concrete class object.
//* DON'T CHANGE THE OBJECT-NAME.
//* "useranl" is used by Display program.
//*----------------------------------------

  VUserAnalysis *useranl = new UserAnalysis2001beam(display,&fadccalib);
  
  display->Initialize();
  
}

